diff --git a/TMOgui/resources4.ui b/TMOgui/resources4.ui
index 16c4c3d..97d32fe 100644
--- a/TMOgui/resources4.ui
+++ b/TMOgui/resources4.ui
@@ -1,289 +1,203 @@
-<!DOCTYPE UI><UI>
-<class>TMOGUIPageSetup</class>
-<widget>
-    <class>QDialog</class>
-    <property stdset="1">
-        <name>name</name>
-        <cstring>TMOGUIPageSetup</cstring>
+<?xml version="1.0" encoding="UTF-8"?>
+<ui version="4.0" stdsetdef="1">
+  <author></author>
+  <comment></comment>
+  <exportmacro></exportmacro>
+  <class>TMOGUIPageSetup</class>
+  <widget class="QDialog" name="TMOGUIPageSetup">
+    <property name="geometry">
+      <rect>
+        <x>0</x>
+        <y>0</y>
+        <width>385</width>
+        <height>200</height>
+      </rect>
     </property>
-    <property stdset="1">
-        <name>geometry</name>
+    <property name="windowTitle">
+      <string>Page Setup</string>
+    </property>
+    <widget class="QPushButton" name="PushButton1">
+      <property name="geometry">
         <rect>
-            <x>0</x>
-            <y>0</y>
-            <width>385</width>
-            <height>200</height>
+          <x>270</x>
+          <y>20</y>
+          <width>101</width>
+          <height>31</height>
         </rect>
-    </property>
-    <property stdset="1">
-        <name>caption</name>
-        <string>Page Setup</string>
-    </property>
-    <widget>
-        <class>QPushButton</class>
-        <property stdset="1">
-            <name>name</name>
-            <cstring>PushButton1</cstring>
+      </property>
+      <property name="text">
+        <string>OK</string>
+      </property>
+    </widget>
+    <widget class="QPushButton" name="PushButton2">
+      <property name="geometry">
+        <rect>
+          <x>270</x>
+          <y>60</y>
+          <width>101</width>
+          <height>31</height>
+        </rect>
+      </property>
+      <property name="text">
+        <string>Cancel</string>
+      </property>
+    </widget>
+    <widget class="QCheckBox" name="CheckBox1">
+      <property name="geometry">
+        <rect>
+          <x>270</x>
+          <y>120</y>
+          <width>101</width>
+          <height>21</height>
+        </rect>
+      </property>
+      <property name="text">
+        <string>Zoom To Fit</string>
+      </property>
+    </widget>
+    <widget class="Q3GroupBox" name="GroupBox1">
+      <property name="geometry">
+        <rect>
+          <x>10</x>
+          <y>10</y>
+          <width>250</width>
+          <height>180</height>
+        </rect>
+      </property>
+      <property name="title">
+        <string>Margins [%]</string>
+      </property>
+      <widget class="QLabel" name="TextLabel3">
+        <property name="geometry">
+          <rect>
+            <x>10</x>
+            <y>60</y>
+            <width>30</width>
+            <height>21</height>
+          </rect>
         </property>
-        <property stdset="1">
-            <name>geometry</name>
-            <rect>
-                <x>270</x>
-                <y>20</y>
-                <width>101</width>
-                <height>31</height>
-            </rect>
+        <property name="text">
+          <string>Left</string>
         </property>
-        <property stdset="1">
-            <name>text</name>
-            <string>OK</string>
+        <property name="wordWrap">
+          <bool>false</bool>
         </property>
-    </widget>
-    <widget>
-        <class>QPushButton</class>
-        <property stdset="1">
-            <name>name</name>
-            <cstring>PushButton2</cstring>
+      </widget>
+      <widget class="QLabel" name="TextLabel4">
+        <property name="geometry">
+          <rect>
+            <x>200</x>
+            <y>60</y>
+            <width>40</width>
+            <height>21</height>
+          </rect>
         </property>
-        <property stdset="1">
-            <name>geometry</name>
-            <rect>
-                <x>270</x>
-                <y>60</y>
-                <width>101</width>
-                <height>31</height>
-            </rect>
+        <property name="text">
+          <string>Right</string>
         </property>
-        <property stdset="1">
-            <name>text</name>
-            <string>Cancel</string>
+        <property name="wordWrap">
+          <bool>false</bool>
         </property>
-    </widget>
-    <widget>
-        <class>QCheckBox</class>
-        <property stdset="1">
-            <name>name</name>
-            <cstring>CheckBox1</cstring>
+      </widget>
+      <widget class="QLabel" name="TextLabel2">
+        <property name="geometry">
+          <rect>
+            <x>110</x>
+            <y>20</y>
+            <width>30</width>
+            <height>21</height>
+          </rect>
         </property>
-        <property stdset="1">
-            <name>geometry</name>
-            <rect>
-                <x>270</x>
-                <y>120</y>
-                <width>101</width>
-                <height>21</height>
-            </rect>
+        <property name="text">
+          <string>Top</string>
         </property>
-        <property stdset="1">
-            <name>text</name>
-            <string>Zoom To Fit</string>
+        <property name="wordWrap">
+          <bool>false</bool>
         </property>
-    </widget>
-    <widget>
-        <class>QGroupBox</class>
-        <property stdset="1">
-            <name>name</name>
-            <cstring>GroupBox1</cstring>
+      </widget>
+      <widget class="QLabel" name="TextLabel5">
+        <property name="geometry">
+          <rect>
+            <x>100</x>
+            <y>140</y>
+            <width>50</width>
+            <height>21</height>
+          </rect>
+        </property>
+        <property name="text">
+          <string>Bottom</string>
+        </property>
+        <property name="wordWrap">
+          <bool>false</bool>
+        </property>
+      </widget>
+      <widget class="QLineEdit" name="LineEdit1">
+        <property name="geometry">
+          <rect>
+            <x>70</x>
+            <y>40</y>
+            <width>101</width>
+            <height>22</height>
+          </rect>
+        </property>
+        <property name="alignment">
+          <set>Qt::AlignRight</set>
+        </property>
+      </widget>
+      <widget class="QLineEdit" name="LineEdit3">
+        <property name="geometry">
+          <rect>
+            <x>130</x>
+            <y>80</y>
+            <width>101</width>
+            <height>22</height>
+          </rect>
+        </property>
+        <property name="alignment">
+          <set>Qt::AlignRight</set>
+        </property>
+      </widget>
+      <widget class="QLineEdit" name="LineEdit4">
+        <property name="geometry">
+          <rect>
+            <x>70</x>
+            <y>120</y>
+            <width>100</width>
+            <height>22</height>
+          </rect>
+        </property>
+        <property name="alignment">
+          <set>Qt::AlignRight</set>
         </property>
-        <property stdset="1">
-            <name>geometry</name>
-            <rect>
-                <x>10</x>
-                <y>10</y>
-                <width>250</width>
-                <height>180</height>
-            </rect>
+      </widget>
+      <widget class="QLineEdit" name="LineEdit2">
+        <property name="geometry">
+          <rect>
+            <x>10</x>
+            <y>80</y>
+            <width>101</width>
+            <height>22</height>
+          </rect>
         </property>
-        <property stdset="1">
-            <name>title</name>
-            <string>Margins [%]</string>
+        <property name="alignment">
+          <set>Qt::AlignRight</set>
         </property>
-        <widget>
-            <class>QLabel</class>
-            <property stdset="1">
-                <name>name</name>
-                <cstring>TextLabel3</cstring>
-            </property>
-            <property stdset="1">
-                <name>geometry</name>
-                <rect>
-                    <x>10</x>
-                    <y>60</y>
-                    <width>30</width>
-                    <height>21</height>
-                </rect>
-            </property>
-            <property stdset="1">
-                <name>text</name>
-                <string>Left</string>
-            </property>
-        </widget>
-        <widget>
-            <class>QLabel</class>
-            <property stdset="1">
-                <name>name</name>
-                <cstring>TextLabel4</cstring>
-            </property>
-            <property stdset="1">
-                <name>geometry</name>
-                <rect>
-                    <x>200</x>
-                    <y>60</y>
-                    <width>40</width>
-                    <height>21</height>
-                </rect>
-            </property>
-            <property stdset="1">
-                <name>text</name>
-                <string>Right</string>
-            </property>
-        </widget>
-        <widget>
-            <class>QLabel</class>
-            <property stdset="1">
-                <name>name</name>
-                <cstring>TextLabel2</cstring>
-            </property>
-            <property stdset="1">
-                <name>geometry</name>
-                <rect>
-                    <x>110</x>
-                    <y>20</y>
-                    <width>30</width>
-                    <height>21</height>
-                </rect>
-            </property>
-            <property stdset="1">
-                <name>text</name>
-                <string>Top</string>
-            </property>
-        </widget>
-        <widget>
-            <class>QLabel</class>
-            <property stdset="1">
-                <name>name</name>
-                <cstring>TextLabel5</cstring>
-            </property>
-            <property stdset="1">
-                <name>geometry</name>
-                <rect>
-                    <x>100</x>
-                    <y>140</y>
-                    <width>50</width>
-                    <height>21</height>
-                </rect>
-            </property>
-            <property stdset="1">
-                <name>text</name>
-                <string>Bottom</string>
-            </property>
-        </widget>
-        <widget>
-            <class>QLineEdit</class>
-            <property stdset="1">
-                <name>name</name>
-                <cstring>LineEdit1</cstring>
-            </property>
-            <property stdset="1">
-                <name>geometry</name>
-                <rect>
-                    <x>70</x>
-                    <y>40</y>
-                    <width>101</width>
-                    <height>22</height>
-                </rect>
-            </property>
-            <property stdset="1">
-                <name>alignment</name>
-                <set>AlignRight</set>
-            </property>
-            <property>
-                <name>hAlign</name>
-            </property>
-        </widget>
-        <widget>
-            <class>QLineEdit</class>
-            <property stdset="1">
-                <name>name</name>
-                <cstring>LineEdit3</cstring>
-            </property>
-            <property stdset="1">
-                <name>geometry</name>
-                <rect>
-                    <x>130</x>
-                    <y>80</y>
-                    <width>101</width>
-                    <height>22</height>
-                </rect>
-            </property>
-            <property stdset="1">
-                <name>alignment</name>
-                <set>AlignRight</set>
-            </property>
-            <property>
-                <name>hAlign</name>
-            </property>
-        </widget>
-        <widget>
-            <class>QLineEdit</class>
-            <property stdset="1">
-                <name>name</name>
-                <cstring>LineEdit4</cstring>
-            </property>
-            <property stdset="1">
-                <name>geometry</name>
-                <rect>
-                    <x>70</x>
-                    <y>120</y>
-                    <width>100</width>
-                    <height>22</height>
-                </rect>
-            </property>
-            <property stdset="1">
-                <name>alignment</name>
-                <set>AlignRight</set>
-            </property>
-            <property>
-                <name>hAlign</name>
-            </property>
-        </widget>
-        <widget>
-            <class>QLineEdit</class>
-            <property stdset="1">
-                <name>name</name>
-                <cstring>LineEdit2</cstring>
-            </property>
-            <property stdset="1">
-                <name>geometry</name>
-                <rect>
-                    <x>10</x>
-                    <y>80</y>
-                    <width>101</width>
-                    <height>22</height>
-                </rect>
-            </property>
-            <property stdset="1">
-                <name>alignment</name>
-                <set>AlignRight</set>
-            </property>
-            <property>
-                <name>hAlign</name>
-            </property>
-        </widget>
+      </widget>
     </widget>
-</widget>
-<connections>
+  </widget>
+  <pixmapfunction>qPixmapFromMimeSource</pixmapfunction>
+  <connections>
     <connection>
-        <sender>PushButton1</sender>
-        <signal>clicked()</signal>
-        <receiver>TMOGUIPageSetup</receiver>
-        <slot>accept()</slot>
+      <sender>PushButton1</sender>
+      <signal>clicked()</signal>
+      <receiver>TMOGUIPageSetup</receiver>
+      <slot>accept()</slot>
     </connection>
     <connection>
-        <sender>PushButton2</sender>
-        <signal>clicked()</signal>
-        <receiver>TMOGUIPageSetup</receiver>
-        <slot>reject()</slot>
+      <sender>PushButton2</sender>
+      <signal>clicked()</signal>
+      <receiver>TMOGUIPageSetup</receiver>
+      <slot>reject()</slot>
     </connection>
-</connections>
-</UI>
+  </connections>
+</ui>
diff --git a/TMOgui/resources6.ui b/TMOgui/resources6.ui
index 269b414..78a1e63 100644
--- a/TMOgui/resources6.ui
+++ b/TMOgui/resources6.ui
@@ -1,208 +1,179 @@
-<!DOCTYPE UI><UI version="3.3" stdsetdef="1">
-<class>TMOGUITool</class>
-<widget class="QDialog">
-    <property name="name">
-        <cstring>TMOGUITool</cstring>
-    </property>
-    <property name="geometry">
-        <rect>
-            <x>0</x>
-            <y>0</y>
-            <width>249</width>
-            <height>159</height>
-        </rect>
-    </property>
-    <property name="caption">
-        <string>Info Tool</string>
-    </property>
-    <widget class="QGroupBox">
-        <property name="name">
-            <cstring>size</cstring>
-        </property>
-        <property name="geometry">
-            <rect>
-                <x>10</x>
-                <y>10</y>
-                <width>230</width>
-                <height>80</height>
-            </rect>
-        </property>
-        <property name="title">
-            <string>Size</string>
-        </property>
-        <property name="toolTip" stdset="0">
-            <string>Circle - radius, box - square</string>
-        </property>
-        <widget class="QLabel">
-            <property name="name">
-                <cstring>labelMin</cstring>
-            </property>
-            <property name="geometry">
-                <rect>
-                    <x>20</x>
-                    <y>20</y>
-                    <width>20</width>
-                    <height>20</height>
-                </rect>
-            </property>
-            <property name="text">
-                <string>1px</string>
-            </property>
-            <property name="toolTip" stdset="0">
-                <string>Minimum valid value</string>
-            </property>
-        </widget>
-        <widget class="QLabel">
-            <property name="name">
-                <cstring>radMax</cstring>
-            </property>
-            <property name="geometry">
-                <rect>
-                    <x>140</x>
-                    <y>20</y>
-                    <width>30</width>
-                    <height>20</height>
-                </rect>
-            </property>
-            <property name="text">
-                <string>150px</string>
-            </property>
-            <property name="toolTip" stdset="0">
-                <string>Maximum valid value</string>
-            </property>
-        </widget>
-        <widget class="QLineEdit">
-            <property name="name">
-                <cstring>editSize</cstring>
-            </property>
-            <property name="geometry">
-                <rect>
-                    <x>170</x>
-                    <y>40</y>
-                    <width>50</width>
-                    <height>20</height>
-                </rect>
-            </property>
-            <property name="frameShape">
-                <enum>LineEditPanel</enum>
-            </property>
-            <property name="frameShadow">
-                <enum>Sunken</enum>
-            </property>
-            <property name="toolTip" stdset="0">
-                <string>You can write size from keyboard</string>
-            </property>
-        </widget>
-        <widget class="QScrollBar">
-            <property name="name">
-                <cstring>scrollBar</cstring>
-            </property>
-            <property name="geometry">
-                <rect>
-                    <x>20</x>
-                    <y>40</y>
-                    <width>140</width>
-                    <height>20</height>
-                </rect>
-            </property>
-            <property name="minValue">
-                <number>1</number>
-            </property>
-            <property name="maxValue">
-                <number>150</number>
-            </property>
-            <property name="lineStep">
-                <number>2</number>
-            </property>
-            <property name="value">
-                <number>30</number>
-            </property>
-            <property name="orientation">
-                <enum>Horizontal</enum>
-            </property>
-            <property name="toolTip" stdset="0">
-                <string>Set Size of tool</string>
-            </property>
-        </widget>
-    </widget>
-    <widget class="QButtonGroup">
-        <property name="name">
-            <cstring>shape</cstring>
-        </property>
-        <property name="geometry">
-            <rect>
-                <x>10</x>
-                <y>100</y>
-                <width>230</width>
-                <height>50</height>
-            </rect>
-        </property>
-        <property name="title">
-            <string>Shape</string>
-        </property>
-        <widget class="QRadioButton">
-            <property name="name">
-                <cstring>radioCircle</cstring>
-            </property>
-            <property name="geometry">
-                <rect>
-                    <x>40</x>
-                    <y>20</y>
-                    <width>50</width>
-                    <height>20</height>
-                </rect>
-            </property>
-            <property name="text">
-                <string>circle</string>
-            </property>
-            <property name="checked">
-                <bool>true</bool>
-            </property>
-            <property name="toolTip" stdset="0">
-                <string>circle shape of tool</string>
-            </property>
-        </widget>
-        <widget class="QRadioButton">
-            <property name="name">
-                <cstring>radioSquare</cstring>
-            </property>
-            <property name="geometry">
-                <rect>
-                    <x>130</x>
-                    <y>20</y>
-                    <width>60</width>
-                    <height>20</height>
-                </rect>
-            </property>
-            <property name="text">
-                <string>square</string>
-            </property>
-            <property name="toolTip" stdset="0">
-                <string>square shape of tool</string>
-            </property>
-        </widget>
-    </widget>
-</widget>
-<connections>
-    <connection>
-        <sender>scrollBar</sender>
-        <signal>valueChanged(int)</signal>
-        <receiver>TMOGUITool</receiver>
-        <slot>scrollBar_valueChanged(int)</slot>
-    </connection>
-    <connection>
-        <sender>editSize</sender>
-        <signal>textChanged(const QString&amp;)</signal>
-        <receiver>TMOGUITool</receiver>
-        <slot>editSize_textChanged(const QString&amp;)</slot>
-    </connection>
-</connections>
-<includes>
-    <include location="local" impldecl="in implementation">resources6.ui.h</include>
-</includes>
-<slots>
-    <slot>scrollBar_valueChanged( int value )</slot>
-    <slot>editSize_textChanged( const QString &amp; s )</slot>
-</slots>
-<layoutdefaults spacing="6" margin="11"/>
-</UI>
+<?xml version="1.0" encoding="UTF-8"?>
+<ui version="4.0" stdsetdef="1">
+  <author></author>
+  <comment></comment>
+  <exportmacro></exportmacro>
+  <class>TMOGUITool</class>
+  <widget class="QDialog" name="TMOGUITool">
+    <property name="geometry">
+      <rect>
+        <x>0</x>
+        <y>0</y>
+        <width>249</width>
+        <height>159</height>
+      </rect>
+    </property>
+    <property name="windowTitle">
+      <string>Info Tool</string>
+    </property>
+    <widget class="Q3GroupBox" name="size">
+      <property name="geometry">
+        <rect>
+          <x>10</x>
+          <y>10</y>
+          <width>230</width>
+          <height>80</height>
+        </rect>
+      </property>
+      <property name="title">
+        <string>Size</string>
+      </property>
+      <property name="toolTip" stdset="0">
+        <string>Circle - radius, box - square</string>
+      </property>
+      <widget class="QLabel" name="labelMin">
+        <property name="geometry">
+          <rect>
+            <x>20</x>
+            <y>20</y>
+            <width>20</width>
+            <height>20</height>
+          </rect>
+        </property>
+        <property name="text">
+          <string>1px</string>
+        </property>
+        <property name="toolTip" stdset="0">
+          <string>Minimum valid value</string>
+        </property>
+        <property name="wordWrap">
+          <bool>false</bool>
+        </property>
+      </widget>
+      <widget class="QLabel" name="radMax">
+        <property name="geometry">
+          <rect>
+            <x>140</x>
+            <y>20</y>
+            <width>30</width>
+            <height>20</height>
+          </rect>
+        </property>
+        <property name="text">
+          <string>150px</string>
+        </property>
+        <property name="toolTip" stdset="0">
+          <string>Maximum valid value</string>
+        </property>
+        <property name="wordWrap">
+          <bool>false</bool>
+        </property>
+      </widget>
+      <widget class="QLineEdit" name="editSize">
+        <property name="geometry">
+          <rect>
+            <x>170</x>
+            <y>40</y>
+            <width>50</width>
+            <height>20</height>
+          </rect>
+        </property>
+        <property name="toolTip" stdset="0">
+          <string>You can write size from keyboard</string>
+        </property>
+      </widget>
+      <widget class="QScrollBar" name="scrollBar">
+        <property name="geometry">
+          <rect>
+            <x>20</x>
+            <y>40</y>
+            <width>140</width>
+            <height>20</height>
+          </rect>
+        </property>
+        <property name="minimum">
+          <number>1</number>
+        </property>
+        <property name="maximum">
+          <number>150</number>
+        </property>
+        <property name="singleStep">
+          <number>2</number>
+        </property>
+        <property name="value">
+          <number>30</number>
+        </property>
+        <property name="orientation">
+          <enum>Qt::Horizontal</enum>
+        </property>
+        <property name="toolTip" stdset="0">
+          <string>Set Size of tool</string>
+        </property>
+      </widget>
+    </widget>
+    <widget class="Q3ButtonGroup" name="shape">
+      <property name="geometry">
+        <rect>
+          <x>10</x>
+          <y>100</y>
+          <width>230</width>
+          <height>50</height>
+        </rect>
+      </property>
+      <property name="title">
+        <string>Shape</string>
+      </property>
+      <widget class="QRadioButton" name="radioCircle">
+        <property name="geometry">
+          <rect>
+            <x>40</x>
+            <y>20</y>
+            <width>50</width>
+            <height>20</height>
+          </rect>
+        </property>
+        <property name="text">
+          <string>circle</string>
+        </property>
+        <property name="checked">
+          <bool>true</bool>
+        </property>
+        <property name="toolTip" stdset="0">
+          <string>circle shape of tool</string>
+        </property>
+      </widget>
+      <widget class="QRadioButton" name="radioSquare">
+        <property name="geometry">
+          <rect>
+            <x>130</x>
+            <y>20</y>
+            <width>60</width>
+            <height>20</height>
+          </rect>
+        </property>
+        <property name="text">
+          <string>square</string>
+        </property>
+        <property name="toolTip" stdset="0">
+          <string>square shape of tool</string>
+        </property>
+      </widget>
+    </widget>
+  </widget>
+  <layoutdefault spacing="6" margin="11"/>
+  <pixmapfunction>qPixmapFromMimeSource</pixmapfunction>
+  <connections>
+    <connection>
+      <sender>scrollBar</sender>
+      <signal>valueChanged(int)</signal>
+      <receiver>TMOGUITool</receiver>
+      <slot>scrollBar_valueChanged(int)</slot>
+    </connection>
+    <connection>
+      <sender>editSize</sender>
+      <signal>textChanged(QString)</signal>
+      <receiver>TMOGUITool</receiver>
+      <slot>editSize_textChanged(QString)</slot>
+    </connection>
+  </connections>
+</ui>
diff --git a/TMOgui/tmoguiwindow.cpp b/TMOgui/tmoguiwindow.cpp
index 35133cc..c845b0c 100644
--- a/TMOgui/tmoguiwindow.cpp
+++ b/TMOgui/tmoguiwindow.cpp
@@ -3,11 +3,11 @@
 #include <qassistantclient.h>
 #include <qdir.h>
 #include <qpushbutton.h>
-#include <qhbox.h>
+#include <q3hbox.h>
 #include <qsplitter.h>
 #include <qworkspace.h>
 #include <qworkspace.h>
-#include <qfiledialog.h>
+#include <q3filedialog.h>
 #include <qcombobox.h>
 #include <qcheckbox.h>
 #include <qimage.h>
@@ -17,10 +17,14 @@
 #include <qprinter.h>
 #include <qpainter.h>
 #include <qregexp.h>
-#include <qwmatrix.h>
-#include <qtoolbar.h>
+#include <qmatrix.h>
+#include <q3toolbar.h>
 #include <qaction.h>
-#include <qtextstream.h>
+#include <q3textstream.h>
+//Added by qt3to4:
+#include <Q3ValueList>
+#include <QPixmap>
+#include <Q3Frame>
 #include "../tmolib/TMO.h"
 #include "tmoguiwindow.h"
 #include "TMOGUIToneMapping.h"
@@ -46,8 +50,8 @@
 
 TMOGUIResource* TMOResource::pResource = 0;
 
-TMOGUIWindow::TMOGUIWindow( QWidget* parent, const char* name, WFlags f )
-	: QMainWindow( parent, name, f )
+TMOGUIWindow::TMOGUIWindow( QWidget* parent, const char* name, Qt::WFlags f )
+	: Q3MainWindow( parent, name, f )
 {
 	pMargins[0] = pMargins[1] = pMargins[2] = pMargins[3] = 10;
 	TMOResource::pResource = new TMOGUIResource(this, "Resources");
@@ -71,9 +75,9 @@ int TMOGUIWindow::Create()
 	pProgress = new TMOGUIProgressBar(pStatus, "Progress");
 	pProgress->SetLabel("");
 	pRightSplitter = new QSplitter(this, "RightSplitter");
-	pRightSplitter->setFrameStyle( QFrame::Sunken | QFrame::Panel );
+	pRightSplitter->setFrameStyle( Q3Frame::Sunken | Q3Frame::Panel );
 	pSplitter = new QSplitter(pRightSplitter, "BottomSplitter");
-	pSplitter->setOrientation(Vertical);
+	pSplitter->setOrientation(Qt::Vertical);
 	pWorkspace = new QWorkspace(pSplitter, "Workspace");
 	pInfo = TMOGUIOutput::pInfo = new TMOGUIInfo(pSplitter, "Info");
 	pRight = new TMOGUIRightBar(pRightSplitter, "RightBar");
@@ -172,7 +176,7 @@ void TMOGUIWindow::openFile(QString fileName)
 void TMOGUIWindow::openFile()
 {
 
-	openFile( QFileDialog::getOpenFileName
+	openFile( Q3FileDialog::getOpenFileName
 		( QString::null, "HDR images (*.raw *.hdrraw *.tif *.tiff *.pic *.hdr *.exr *.jpg *.jpeg);; *.raw;; *.hdrraw;; *.tif;; *.tiff;; *.pic;; *.hdr;; *.exr;; *.jpg;; *.jpeg;; *.png;; *.ppm;; All files (*.*)", this )
         	);
 }
@@ -747,7 +751,7 @@ void TMOGUIWindow::OperationFirst(int iImage)
 	pImages[0] = temp;
 	QPixmap *tempPixmap = temp->pImage->pSrcPixmap;
 	QImage tempImage(160, 160, 32);
-    QWMatrix m;
+    QMatrix m;
 	double aspect;
 	if (tempPixmap->height() > tempPixmap->width())
 		aspect = 160.0 / tempPixmap->height();
@@ -770,7 +774,7 @@ void TMOGUIWindow::OperationSecond(int iImage)
 	pImages[1] = temp;
 	QPixmap *tempPixmap = temp->pImage->pSrcPixmap;
 	QImage tempImage(160, 160, 32);
-    QWMatrix m;
+    QMatrix m;
 	double aspect;
 	if (tempPixmap->height() > tempPixmap->width())
 		aspect = 160.0 / tempPixmap->height();
@@ -794,7 +798,7 @@ void TMOGUIWindow::MergeComponentsRed(int iImage)
 	pImages[0] = temp;
 	QPixmap *tempPixmap = temp->pImage->pSrcPixmap;
 	QImage tempImage(160, 160, 32);
-    QWMatrix m;
+    QMatrix m;
 	double aspect;
 	if (tempPixmap->height() > tempPixmap->width())
 		aspect = 160.0 / tempPixmap->height();
@@ -813,7 +817,7 @@ void TMOGUIWindow::MergeComponentsRed(int iImage)
 			*pRgb = qRgb( qRed(*pRgb), 0 , 0);
 		}
 	}
-	aPixmap.convertFromImage(tempImage, ColorOnly);
+	aPixmap.convertFromImage(tempImage, Qt::ColorOnly);
 	
 	emit signalMergeComRed(aPixmap);
 }
@@ -830,7 +834,7 @@ void TMOGUIWindow::MergeComponentsGreen(int iImage)
 	pImages[1] = temp;
 	QPixmap *tempPixmap = temp->pImage->pSrcPixmap;
 	QImage tempImage(160, 160, 32);
-    QWMatrix m;
+    QMatrix m;
 	double aspect;
 	if (tempPixmap->height() > tempPixmap->width())
 		aspect = 160.0 / tempPixmap->height();
@@ -849,7 +853,7 @@ void TMOGUIWindow::MergeComponentsGreen(int iImage)
 			*pRgb = qRgb( 0, qGreen(*pRgb), 0);
 		}
 	}
-	aPixmap.convertFromImage(tempImage, ColorOnly);
+	aPixmap.convertFromImage(tempImage, Qt::ColorOnly);
 	emit signalMergeComGreen(aPixmap);
 }
 
@@ -865,7 +869,7 @@ void TMOGUIWindow::MergeComponentsBlue(int iImage)
 	pImages[2] = temp;
 	QPixmap *tempPixmap = temp->pImage->pSrcPixmap;
 	QImage tempImage(160, 160, 32);
-    QWMatrix m;
+    QMatrix m;
 	double aspect;
 	if (tempPixmap->height() > tempPixmap->width())
 		aspect = 160.0 / tempPixmap->height();
@@ -884,7 +888,7 @@ void TMOGUIWindow::MergeComponentsBlue(int iImage)
 			*pRgb = qRgb( 0, 0, qBlue(*pRgb));
 		}
 	}
-	aPixmap.convertFromImage(tempImage, ColorOnly);
+	aPixmap.convertFromImage(tempImage, Qt::ColorOnly);
 	emit signalMergeComBlue(aPixmap);
 }
 
@@ -1141,12 +1145,12 @@ int TMOGUIWindow::SavePosition()
 {
 	QFile f("position.dat");
 	QString temp;
-	QValueList<int> vl;
-	QValueList<int>::Iterator i;
+	Q3ValueList<int> vl;
+	Q3ValueList<int>::Iterator i;
 
-	if (f.open(IO_WriteOnly))
+	if (f.open(QIODevice::WriteOnly))
 	{
-        QTextStream t( &f );        
+        Q3TextStream t( &f );        
 
 		temp.setNum(x());
 		t << "X = " << temp + "\n";
@@ -1188,11 +1192,11 @@ int TMOGUIWindow::LoadPosition()
 	QString temp;
 	int x = 0, y = 0, bottom = 0, right = 0, bottom1 = 0, right1 = 0;
 	bool bBottom = true, bRight = true, bMaximized = false;
-	QValueList<int> vl;
+	Q3ValueList<int> vl;
 
-	if (f.open(IO_ReadOnly))
+	if (f.open(QIODevice::ReadOnly))
 	{
-        QTextStream t( &f );        
+        Q3TextStream t( &f );        
         QString s;
         while ( !t.eof() )			
 		{
